Create company API key
POST
/company/{id}/apikeys
const url = 'https://api.colourbox.com/company/1/apikeys';const options = { method: 'POST', headers: { Authorization: 'CBX-SIMPLE-TOKEN Token=<token>', 'Content-Type': 'application/json' }, body: '{"name":"Production DAM integration"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.colourbox.com/company/1/apikeys \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Production DAM integration" }'Create a new API key and secret for the company. Company administrators only.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
Example
Production DAM integrationResponses
Section titled “Responses”The created key
Media typeapplication/json
object
id
integer
key
string
secret
string
companyId
integer
name
string
active
boolean
createdAt
string format: date-time
deactivatedAt
string format: date-time
Example
{ "id": 56, "companyId": 42}